%global file_name   com.github.tkashkin.gamehub
%global version_dev 0.13.1-96-dev

Name:           gamehub
Version:        0.13.1.96
Release:        1%{?dist}
Summary:        All your games in one place

License:        GPLv3+
URL:            https://github.com/tkashkin/GameHub
Source0:        %{url}/archive/%{version_dev}/%{name}-%{version}.tar.gz
# For better experience with default Adwaita GTK theme
Patch0:         %{name}-enable-symbolic-icons-by-default.patch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite) >= 5.2.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(unity)
BuildRequires:  pkgconfig(webkit2gtk-4.0)

%if 0%{?fedora} >= 30
BuildRequires:  pkgconfig(manette-0.2)
%endif

Requires:       hicolor-icon-theme
Requires:       polkit%{?_isa}

Recommends:     dosbox%{?_isa}
Recommends:     file-roller%{?_isa}
Recommends:     innoextract%{?_isa}
Recommends:     wine%{?_isa}

# Requires for GOG DOSBox games
Suggests:       libcaca%{?_isa}
# Interpreter for several adventure games
Suggests:       scummvm%{?_isa}

%description
Unified library for all your games, written in Vala using GTK+3, designed for
elementary OS.

GameHub allows to view, download, install, run and uninstall games from
supported sources.

GameHub supports non-native games as well as native games for Linux.

It supports multiple compatibility layers for non-native games:

* Wine / Proton
* DOSBox
* RetroArch
* ScummVM

It also allows to add custom emulators.

GameHub supports WineWrap — a set of preconfigured wrappers for supported games.

GameHub supports multiple game sources and services:

* Steam
* GOG
* Humble Bundle
* Humble Trove

Locally installed games can also be added to GameHub.

GameHub makes storing and managing your DRM-free game collection easier.

Download installers, DLCs and bonus content and GameHub will save your downloads
according to settings.

%prep
%autosetup -p1 -n GameHub-%{version_dev}

%build
branch=dev
commit=e08606c64e0d779b2f710e2d8f6d54ab3ed9bf95
commit_short="$(c=${commit}; echo ${c:0:7})"
%meson -Dgit_branch="${branch}" -Dgit_commit="${commit}" -Dgit_commit_short="${commit_short}"
%meson_build

%install
%meson_install
%find_lang %{file_name}
# No HiDPI icons version yet
rm -r %{buildroot}%{_datadir}/icons/hicolor/*@2/

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{file_name}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{file_name}.desktop

%files -f %{file_name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{file_name}
%{_bindir}/%{file_name}-overlayfs-helper
%{_datadir}/%{file_name}
%{_datadir}/applications/%{file_name}.desktop
%{_datadir}/glib-2.0/schemas/%{file_name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{file_name}.svg
%{_datadir}/polkit-1/actions/%{file_name}.policy
%{_metainfodir}/%{file_name}.appdata.xml

%changelog
* Fri May 24 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.1.96-1
- Update to 0.13.1-96-dev
- Add more description
- Suggests libcaca package

* Sat Apr 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.1.80-3
- Update to latest snapshot
- Add recommended packages as weak dependencies
- Add libmanette-devel as BR for gamepad support
- Enable symbolic icons by default

* Tue Apr 09 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 0.13.1.77-1
- Initial Package
